<?php

        include('../../config/config.php');
        date_default_timezone_set('Africa/Lagos');
        
        
      include ('../messaging/whatsapp/index.php');
            
            
            
               // Set CORS headers to allow requests from any origin (*)
        header("Access-Control-Allow-Origin: *");
        
        // Allow specific HTTP methods
        header("Access-Control-Allow-Methods: GET, POST, PUT, DELETE");
        
        // Allow specific HTTP headers
        header("Access-Control-Allow-Headers: Content-Type, Authorization");
        
        // Allow cookies to be included in the request (if needed)
        header("Access-Control-Allow-Credentials:true");
        
        // Retrieve the raw POST data
        
        
        $userID =  mysqli_real_escape_string($link, trim(isset($_POST['UserID']) ? $_POST['UserID'] : ''));
        $UserType =  mysqli_real_escape_string($link, trim(isset($_POST['UserType']) ? $_POST['UserType'] : ''));
        $tribe_id =  mysqli_real_escape_string($link, trim(isset($_POST['tribe_id']) ? $_POST['tribe_id'] : ''));
        $event_id =  mysqli_real_escape_string($link, trim(isset($_POST['event_id']) ? $_POST['event_id'] : ''));
        $member_id =  mysqli_real_escape_string($link, trim(isset($_POST['member_id']) ? $_POST['member_id'] : ''));
        
        $currentDateTime = date('Y-m-d H:i:s');
        
         $select_user = mysqli_query($link, "DELETE FROM attendance WHERE UserID='$member_id' AND EventID='$event_id'");
     
     
         if($select_user == true)
         {
             
             
             
                                             
             $response = array(
            "requestSuccessful" => true, // Assuming the request was successful
            "responseMessage" => "success",
            "responseDescription" => "Attendance removed sucessfully"
            
                 );
             
         }else
         {
             
             
                       $response = array(
                    "requestSuccessful" => true, // Assuming the request was successful
                    "responseMessage" => "failed",
                    "responseDescription" => "Attendance could not be removed sucessfully"
                    
                         );
                     
         }
                                            

           
         $json_response = json_encode($response);
    
        // Output the JSON response
        echo $json_response;
       

?>